Bug 486441 - [LTC 6.0 FEAT] include snIPL SCSI LOAD for LPAR on Supplementary ISO [200787]
[LTC 6.0 FEAT] include snIPL SCSI LOAD for LPAR on Supplementary ISO [200787]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
s390x All
high Severity high
: beta
: 6.2
Assigned To: Siddharth Nagar
Daniel Riek
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 14:20 EST by IBM Bug Proxy
Modified: 2011-07-06 17:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 12:04:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 51749 None None None Never

  None (edit)
Description IBM Bug Proxy 2009-02-19 14:20:24 EST
=Comment: #0=================================================
Hans-Georg Markgraf <mgrf@de.ibm.com> - 
1. Feature Overview:
Feature Id:	[200787]
a. Name of Feature:	snIPL SCSI LOAD for LPAR

b. Feature Description
Description:
Extend the snIPL tool to allow IPLing (booting) an LPAR from a SCSI/FCP attached disk. Since till
now the snIPL tool was not included in RHEL, accepting this feature will provide all the
functionality provided by the latest
version in Developer Works:
• snIPL - simple network IPL (Linux Image Control for LPAR / VM) is a command line tool which serves
as remote linux image control
using basic Support Element (SE) functions or basic z/VM system management functions (available
since z/VM 4.4) on one or more
images.
More details under:
• http://www.ibm.com/developerworks/linux/linux390/snipl.html (and click on the latest version,
right now is 2.1.4)
  ------
Contents:
Latest source code has to be downloaded from DeveloperWorks
http://www.ibm.com/developerworks/linux/linux390/snipl.html
LPAR: Management library “hwmcaapi” to be provided by IBM to Red Hat, but not to be delivered by Red
Hat to customers; IBM System
z customers should download it themselves. If Red Hat would like to provide this library, it could
be possible to sign an agreement where
IBM allows Red Hat to distribute the library with a separate license to forbid customers to
redistribute it.
z/VM: “DMSVSMA.X” has to be copied from z/VM to the Linux system, but not to be delivered by Red Hat
to customers; IBM z/VM
customers should copy it themselves. If Red Hat would like to provide this library, it could be
possible to sign an agreement where IBM allows Red Hat to distribute the library with a separate
license to forbid customers to redistribute it.

Please see the 5.4 request at https://bugzilla.redhat.com/show_bug.cgi?id=475669

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Backport
Category:	zSeries
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	snipl

3. Business Case
This feature is required by customers who need to remotely manage (start/stop) Linux images in LPARs
or z/VMs.
In particular this is required in High Availability setups where image starts/shut-downs are needed,
like GFS/2.
Also it is useful for remote deployment, like in Satellite/Spacewalk.


4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:

Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com +49-7031-16-4394

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-02-25 11:12:18 EST
Hello Red Hat,

There are two options regarding the distribution of snIPL
The IBM preferred option requires a re-distribution agreement between IBM and Red Hat.
Therefore feedback is required on what option Red Hat want to agree
to distribute snIPL

Option A.)
Deliver snIPL rpm binary including two binary libraries (LPAR & zVM
interfaces)  required to work with snIPL.
Possibility to deliver src.rpm including all binary libs for compilation.

Preferred by IBM because its simple for the customer
Note:
Need to sign re-distribution agreement of the binary libraries with IBM

Option B.)
Compile snIPL with the libraries IBM provides but to package only the
compiled snIPL binary into the rpm without the needed libraries for snIPL to
work. The customer would have to download the libraries from IBM resource
link (LPAR) and zVM (zVM) to work with snIPL in the desired environment.

Not possible to deliver src.rpm also since libs for compile are not
delivered.

Note:
No need for a re-distribution agreement for the binary libraries
(LPAR & zVM interfaces) with IBM
Comment 2 Bill Nottingham 2009-02-26 11:48:41 EST
RHEL consists of open source code only - we cannot ship closed source code, or code with library dependnecies on closed-source code, in the base operating system.
Comment 7 IBM Bug Proxy 2010-04-06 09:10:45 EDT
------- Comment From gmuelas@de.ibm.com 2010-04-06 09:09 EDT-------
Hello Red Hat,

independent of Red Hat providing Cluster Suite / GFS2 support for RHEL on System z, this tool could still be useful for customers:

Here is a copy&paste from the link provided in the first commen, about the interesting things a customer could do with this tool:

snIPL - simple network IPL (Linux Image Control for LPAR / VM) is a command line tool which serves as remote linux image control using basic Support Element (SE) functions or basic z/VM system management functions (available since z/VM 4.4) on one or more images.

*

snIPL for LPAR utilizes the management application programming interfaces (APIs) provided by the HMC/SE. To communicate with the HMC/SE, snIPL establishes a network connection and uses the SNMP protocol to send and retrieve data. The HMC/SE has to be configured to allow the initiating host system to access the API. If your network is firewall-controlled, udp-port 161 and tcp-port 3161 have to be opened between snIPL-invoking Linux system and HMC/SE. In this mode snIPL can be used to boot Linux on System z in LPAR mode, to send and retrieve operating system messages, or to reset, activate or deactivate an LPAR for I/O fencing purposes.

To compile and run snIPL for LPAR, it must be linked to the management library hwmcaapi (which can be downloaded from IBM Resource Link http://www.ibm.com/servers/resourcelink/). For further details please refer to System z Application Programming Interfaces (SB10-7030).
*

snIPL for VM serves as remote control of basic z/VM system management functions. It can be used to reset, activate or deactivate a Linux/VM image for I/O fencing purposes. In this mode snIPL utilizes the System Management Application Programming Interfaces (APIs) available since z/VM 4.4. To communicate with the z/VM host, snIPL for VM establishes a network connection and uses the RPC protocol to send and retrieve data. To compile and run snIPL for VM, the RPC protocol specification DMSVSMA.X has to be copied to the Linux system running snIPL (usually into /usr/share/dmsvsma/).

For further details please refer to z/VM V5R4.0 Systems Management Application Programming (SC24-6122) (or equivalent documentation from the z/VM website: http://www.vm.ibm.com).
*

snIPL for STONITH (Linux Image Control - Virtual Power Switch) is an external stonith plugin.
STONITH (Shoot The Other Node In The Head) provides an extensible interface for remotely powering down a node in a cluster. It is part of the Heartbeat framework of the High Availability Project (http://linux-ha.org).
http://linux-ha.org/STONITH gives a general description of the STONITH technique. The latest STONITH release can be downloaded from http://linux-ha.org/download.

snIPL for Stonith supports the remote image operations activate, deactivate, and reset, exploiting basic System z Hardware Management Console (HMC) and Support Element (SE) functions for Linux running in an LPAR and of basic z/VM System Management Functions for Linux running under control of z/VM.
Comment 12 John Jarvis 2010-12-08 12:04:30 EST
Closing this as DEFERRED since it won't go into 6.1 but will be reviewed for RHEL 6.2.

Note You need to log in before you can comment on or make changes to this bug.